Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 6.0sp2 API Reference

## weblogic.event.evaluators
Interface EvaluateDef

All Known Implementing Classes:
  EvaluateTime, EvaluateTrue

public interface EvaluateDef

Interface for user-written evaluators. An Evaluate object that instantiates a user-written evaluate class is used as an argument to the EventServicesDef.getEventRegistration() method, which requests an EventRegistration from the event services factory. The user-written class, which is in the `CLASSPATH` of the T3Server (as `weblogic.system.classpath` property), is dynamically loaded into the T3Server the first time any registration specifies it.

Because the Java class loader does not permit the passing or arguments to the constructors of dynamically loaded classes, the constructor for any user-written class that implements this interface must be a default constructor, that is, one that takes no arguments. The user-written registerInit() method takes the registration parameters as an input argument and allows the newly-constructed action object to inspect and act upon the registration parameters at the time of registration.

Note: The `isLongRunning()` method is deprecated in release 2.5. Users no longer need to implement this method in classes that implement this interface.

Author:
  Copyright (c) 1996-98, WebLogic, Inc. All Rights Reserved.
  Copyright © 2001 BEA Systems, Inc. All Rights Reserved.
See Also:
  `EventServicesDef`, `EventRegistrationDef`

Method Summary
`boolean` | `evaluate(EventMessageDef ev)` Evaluates the specified EventMessage.
`void` | `registerInit(ParamSet params)` Initializes an evaluator with the specified set of parameters.
`void` | `setServices(T3ServicesDef services)` Sets the services object for the Evaluator.

Method Detail

### registerInit

    public void registerInit(ParamSet params)
                      throws ParamSetException

  Initializes an evaluator with the specified set of parameters. Since dynamically loaded classes cannot pass arguments in a constructor, this method is used to pass registration parameters to the newly-constructed evaluator object.

  Parameters:
    `params` - ParamSet object
  Throws:
    ParamSetException - if there is an error with the parameter set

### evaluate

    public boolean evaluate(EventMessageDef ev)
                     throws ParamSetException

  Evaluates the specified EventMessage. The T3Server calls this method when the topic of a submitted EventMessage matches a registration of interest. If this method returns true, a user-written action() method (from a class that implements weblogic.event.actions.ActionDef) is invoked.

  Parameters:
    `ev` - EventMessage object
  Returns:
    True if event
  Throws:
    ParamSetException - if there is an error with the parameter set
  See Also:
    `ActionDef`

### setServices

    public void setServices(T3ServicesDef services)

  Sets the services object for the Evaluator. The evaluator can use the services reference to obtain access to other services in the T3Server.

  Parameters:
    `services` - A T3ServicesDef object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs60
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD